function AISMN_Reaction_AttackAllyEnemy::OnEnter(%this, %data)
{
	GetThisObject(%data).playVocal("SBA");
	%ally = %data.getAllyUnderAttack();
   %attacker = %data.GetAttackerOf(%ally);
   if (%attacker && IsAttackable(%attacker) )
   {
      %data.performAction("attack", %attacker);
   }
}

function AISMN_Reaction_AttackAllyEnemy::OnExit(%this,%obj)
{
   return;
}

//EXIT 0: No longer shooting
function AISMN_Reaction_AttackAllyEnemy::Update(%this, %data)
{
   if (%data.isAttacking() == false)
   {
      ReturnValue(%data, 0);
   }
   else
   {
      ReturnValue(%data, -1);
   }
}
